IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.32.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
2.32.0.0- Broadcast address
2.39.255.255- First usable
2.32.0.1- Last usable
2.39.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02200000· Integer35651584to36175871 - Reverse DNS zones
32.2.in-addr.arpa33.2.in-addr.arpa34.2.in-addr.arpa35.2.in-addr.arpa36.2.in-addr.arpa37.2.in-addr.arpa38.2.in-addr.arpa39.2.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.00100000.00000000.00000000 | 2.32.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000010.00100000.00000000.00000000 | 2.32.0.0 |
| Broadcast | 00000010.00100111.11111111.11111111 | 2.39.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
2.32.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.32.0.0/23 | 2.32.0.1 to 2.32.1.254 | 2.32.1.255 | 510 |
| 2 | 2.32.2.0/23 | 2.32.2.1 to 2.32.3.254 | 2.32.3.255 | 510 |
| 3 | 2.32.4.0/23 | 2.32.4.1 to 2.32.5.254 | 2.32.5.255 | 510 |
| 4 | 2.32.6.0/23 | 2.32.6.1 to 2.32.7.254 | 2.32.7.255 | 510 |
| 5 | 2.32.8.0/23 | 2.32.8.1 to 2.32.9.254 | 2.32.9.255 | 510 |
| 6 | 2.32.10.0/23 | 2.32.10.1 to 2.32.11.254 | 2.32.11.255 | 510 |
| 7 | 2.32.12.0/23 | 2.32.12.1 to 2.32.13.254 | 2.32.13.255 | 510 |
| 8 | 2.32.14.0/23 | 2.32.14.1 to 2.32.15.254 | 2.32.15.255 | 510 |
| 9 | 2.32.16.0/23 | 2.32.16.1 to 2.32.17.254 | 2.32.17.255 | 510 |
| 10 | 2.32.18.0/23 | 2.32.18.1 to 2.32.19.254 | 2.32.19.255 | 510 |
| 11 | 2.32.20.0/23 | 2.32.20.1 to 2.32.21.254 | 2.32.21.255 | 510 |
| 12 | 2.32.22.0/23 | 2.32.22.1 to 2.32.23.254 | 2.32.23.255 | 510 |
| 13 | 2.32.24.0/23 | 2.32.24.1 to 2.32.25.254 | 2.32.25.255 | 510 |
| 14 | 2.32.26.0/23 | 2.32.26.1 to 2.32.27.254 | 2.32.27.255 | 510 |
| 15 | 2.32.28.0/23 | 2.32.28.1 to 2.32.29.254 | 2.32.29.255 | 510 |
| 16 | 2.32.30.0/23 | 2.32.30.1 to 2.32.31.254 | 2.32.31.255 | 510 |
| 17 | 2.32.32.0/23 | 2.32.32.1 to 2.32.33.254 | 2.32.33.255 | 510 |
| 18 | 2.32.34.0/23 | 2.32.34.1 to 2.32.35.254 | 2.32.35.255 | 510 |
| 19 | 2.32.36.0/23 | 2.32.36.1 to 2.32.37.254 | 2.32.37.255 | 510 |
| 20 | 2.32.38.0/23 | 2.32.38.1 to 2.32.39.254 | 2.32.39.255 | 510 |
| 21 | 2.32.40.0/23 | 2.32.40.1 to 2.32.41.254 | 2.32.41.255 | 510 |
| 22 | 2.32.42.0/23 | 2.32.42.1 to 2.32.43.254 | 2.32.43.255 | 510 |
| 23 | 2.32.44.0/23 | 2.32.44.1 to 2.32.45.254 | 2.32.45.255 | 510 |
| 24 | 2.32.46.0/23 | 2.32.46.1 to 2.32.47.254 | 2.32.47.255 | 510 |
| 25 | 2.32.48.0/23 | 2.32.48.1 to 2.32.49.254 | 2.32.49.255 | 510 |
| 26 | 2.32.50.0/23 | 2.32.50.1 to 2.32.51.254 | 2.32.51.255 | 510 |
| 27 | 2.32.52.0/23 | 2.32.52.1 to 2.32.53.254 | 2.32.53.255 | 510 |
| 28 | 2.32.54.0/23 | 2.32.54.1 to 2.32.55.254 | 2.32.55.255 | 510 |
| 29 | 2.32.56.0/23 | 2.32.56.1 to 2.32.57.254 | 2.32.57.255 | 510 |
| 30 | 2.32.58.0/23 | 2.32.58.1 to 2.32.59.254 | 2.32.59.255 | 510 |
| 31 | 2.32.60.0/23 | 2.32.60.1 to 2.32.61.254 | 2.32.61.255 | 510 |
| 32 | 2.32.62.0/23 | 2.32.62.1 to 2.32.63.254 | 2.32.63.255 | 510 |
| 33 | 2.32.64.0/23 | 2.32.64.1 to 2.32.65.254 | 2.32.65.255 | 510 |
| 34 | 2.32.66.0/23 | 2.32.66.1 to 2.32.67.254 | 2.32.67.255 | 510 |
| 35 | 2.32.68.0/23 | 2.32.68.1 to 2.32.69.254 | 2.32.69.255 | 510 |
| 36 | 2.32.70.0/23 | 2.32.70.1 to 2.32.71.254 | 2.32.71.255 | 510 |
| 37 | 2.32.72.0/23 | 2.32.72.1 to 2.32.73.254 | 2.32.73.255 | 510 |
| 38 | 2.32.74.0/23 | 2.32.74.1 to 2.32.75.254 | 2.32.75.255 | 510 |
| 39 | 2.32.76.0/23 | 2.32.76.1 to 2.32.77.254 | 2.32.77.255 | 510 |
| 40 | 2.32.78.0/23 | 2.32.78.1 to 2.32.79.254 | 2.32.79.255 | 510 |
| 41 | 2.32.80.0/23 | 2.32.80.1 to 2.32.81.254 | 2.32.81.255 | 510 |
| 42 | 2.32.82.0/23 | 2.32.82.1 to 2.32.83.254 | 2.32.83.255 | 510 |
| 43 | 2.32.84.0/23 | 2.32.84.1 to 2.32.85.254 | 2.32.85.255 | 510 |
| 44 | 2.32.86.0/23 | 2.32.86.1 to 2.32.87.254 | 2.32.87.255 | 510 |
| 45 | 2.32.88.0/23 | 2.32.88.1 to 2.32.89.254 | 2.32.89.255 | 510 |
| 46 | 2.32.90.0/23 | 2.32.90.1 to 2.32.91.254 | 2.32.91.255 | 510 |
| 47 | 2.32.92.0/23 | 2.32.92.1 to 2.32.93.254 | 2.32.93.255 | 510 |
| 48 | 2.32.94.0/23 | 2.32.94.1 to 2.32.95.254 | 2.32.95.255 | 510 |
| 49 | 2.32.96.0/23 | 2.32.96.1 to 2.32.97.254 | 2.32.97.255 | 510 |
| 50 | 2.32.98.0/23 | 2.32.98.1 to 2.32.99.254 | 2.32.99.255 | 510 |
| 51 | 2.32.100.0/23 | 2.32.100.1 to 2.32.101.254 | 2.32.101.255 | 510 |
| 52 | 2.32.102.0/23 | 2.32.102.1 to 2.32.103.254 | 2.32.103.255 | 510 |
| 53 | 2.32.104.0/23 | 2.32.104.1 to 2.32.105.254 | 2.32.105.255 | 510 |
| 54 | 2.32.106.0/23 | 2.32.106.1 to 2.32.107.254 | 2.32.107.255 | 510 |
| 55 | 2.32.108.0/23 | 2.32.108.1 to 2.32.109.254 | 2.32.109.255 | 510 |
| 56 | 2.32.110.0/23 | 2.32.110.1 to 2.32.111.254 | 2.32.111.255 | 510 |
| 57 | 2.32.112.0/23 | 2.32.112.1 to 2.32.113.254 | 2.32.113.255 | 510 |
| 58 | 2.32.114.0/23 | 2.32.114.1 to 2.32.115.254 | 2.32.115.255 | 510 |
| 59 | 2.32.116.0/23 | 2.32.116.1 to 2.32.117.254 | 2.32.117.255 | 510 |
| 60 | 2.32.118.0/23 | 2.32.118.1 to 2.32.119.254 | 2.32.119.255 | 510 |
| 61 | 2.32.120.0/23 | 2.32.120.1 to 2.32.121.254 | 2.32.121.255 | 510 |
| 62 | 2.32.122.0/23 | 2.32.122.1 to 2.32.123.254 | 2.32.123.255 | 510 |
| 63 | 2.32.124.0/23 | 2.32.124.1 to 2.32.125.254 | 2.32.125.255 | 510 |
| 64 | 2.32.126.0/23 | 2.32.126.1 to 2.32.127.254 | 2.32.127.255 | 510 |
| 65 | 2.32.128.0/23 | 2.32.128.1 to 2.32.129.254 | 2.32.129.255 | 510 |
| 66 | 2.32.130.0/23 | 2.32.130.1 to 2.32.131.254 | 2.32.131.255 | 510 |
| 67 | 2.32.132.0/23 | 2.32.132.1 to 2.32.133.254 | 2.32.133.255 | 510 |
| 68 | 2.32.134.0/23 | 2.32.134.1 to 2.32.135.254 | 2.32.135.255 | 510 |
| 69 | 2.32.136.0/23 | 2.32.136.1 to 2.32.137.254 | 2.32.137.255 | 510 |
| 70 | 2.32.138.0/23 | 2.32.138.1 to 2.32.139.254 | 2.32.139.255 | 510 |
| 71 | 2.32.140.0/23 | 2.32.140.1 to 2.32.141.254 | 2.32.141.255 | 510 |
| 72 | 2.32.142.0/23 | 2.32.142.1 to 2.32.143.254 | 2.32.143.255 | 510 |
| 73 | 2.32.144.0/23 | 2.32.144.1 to 2.32.145.254 | 2.32.145.255 | 510 |
| 74 | 2.32.146.0/23 | 2.32.146.1 to 2.32.147.254 | 2.32.147.255 | 510 |
| 75 | 2.32.148.0/23 | 2.32.148.1 to 2.32.149.254 | 2.32.149.255 | 510 |
| 76 | 2.32.150.0/23 | 2.32.150.1 to 2.32.151.254 | 2.32.151.255 | 510 |
| 77 | 2.32.152.0/23 | 2.32.152.1 to 2.32.153.254 | 2.32.153.255 | 510 |
| 78 | 2.32.154.0/23 | 2.32.154.1 to 2.32.155.254 | 2.32.155.255 | 510 |
| 79 | 2.32.156.0/23 | 2.32.156.1 to 2.32.157.254 | 2.32.157.255 | 510 |
| 80 | 2.32.158.0/23 | 2.32.158.1 to 2.32.159.254 | 2.32.159.255 | 510 |
| 81 | 2.32.160.0/23 | 2.32.160.1 to 2.32.161.254 | 2.32.161.255 | 510 |
| 82 | 2.32.162.0/23 | 2.32.162.1 to 2.32.163.254 | 2.32.163.255 | 510 |
| 83 | 2.32.164.0/23 | 2.32.164.1 to 2.32.165.254 | 2.32.165.255 | 510 |
| 84 | 2.32.166.0/23 | 2.32.166.1 to 2.32.167.254 | 2.32.167.255 | 510 |
| 85 | 2.32.168.0/23 | 2.32.168.1 to 2.32.169.254 | 2.32.169.255 | 510 |
| 86 | 2.32.170.0/23 | 2.32.170.1 to 2.32.171.254 | 2.32.171.255 | 510 |
| 87 | 2.32.172.0/23 | 2.32.172.1 to 2.32.173.254 | 2.32.173.255 | 510 |
| 88 | 2.32.174.0/23 | 2.32.174.1 to 2.32.175.254 | 2.32.175.255 | 510 |
| 89 | 2.32.176.0/23 | 2.32.176.1 to 2.32.177.254 | 2.32.177.255 | 510 |
| 90 | 2.32.178.0/23 | 2.32.178.1 to 2.32.179.254 | 2.32.179.255 | 510 |
| 91 | 2.32.180.0/23 | 2.32.180.1 to 2.32.181.254 | 2.32.181.255 | 510 |
| 92 | 2.32.182.0/23 | 2.32.182.1 to 2.32.183.254 | 2.32.183.255 | 510 |
| 93 | 2.32.184.0/23 | 2.32.184.1 to 2.32.185.254 | 2.32.185.255 | 510 |
| 94 | 2.32.186.0/23 | 2.32.186.1 to 2.32.187.254 | 2.32.187.255 | 510 |
| 95 | 2.32.188.0/23 | 2.32.188.1 to 2.32.189.254 | 2.32.189.255 | 510 |
| 96 | 2.32.190.0/23 | 2.32.190.1 to 2.32.191.254 | 2.32.191.255 | 510 |
| 97 | 2.32.192.0/23 | 2.32.192.1 to 2.32.193.254 | 2.32.193.255 | 510 |
| 98 | 2.32.194.0/23 | 2.32.194.1 to 2.32.195.254 | 2.32.195.255 | 510 |
| 99 | 2.32.196.0/23 | 2.32.196.1 to 2.32.197.254 | 2.32.197.255 | 510 |
| 100 | 2.32.198.0/23 | 2.32.198.1 to 2.32.199.254 | 2.32.199.255 | 510 |
| 101 | 2.32.200.0/23 | 2.32.200.1 to 2.32.201.254 | 2.32.201.255 | 510 |
| 102 | 2.32.202.0/23 | 2.32.202.1 to 2.32.203.254 | 2.32.203.255 | 510 |
| 103 | 2.32.204.0/23 | 2.32.204.1 to 2.32.205.254 | 2.32.205.255 | 510 |
| 104 | 2.32.206.0/23 | 2.32.206.1 to 2.32.207.254 | 2.32.207.255 | 510 |
| 105 | 2.32.208.0/23 | 2.32.208.1 to 2.32.209.254 | 2.32.209.255 | 510 |
| 106 | 2.32.210.0/23 | 2.32.210.1 to 2.32.211.254 | 2.32.211.255 | 510 |
| 107 | 2.32.212.0/23 | 2.32.212.1 to 2.32.213.254 | 2.32.213.255 | 510 |
| 108 | 2.32.214.0/23 | 2.32.214.1 to 2.32.215.254 | 2.32.215.255 | 510 |
| 109 | 2.32.216.0/23 | 2.32.216.1 to 2.32.217.254 | 2.32.217.255 | 510 |
| 110 | 2.32.218.0/23 | 2.32.218.1 to 2.32.219.254 | 2.32.219.255 | 510 |
| 111 | 2.32.220.0/23 | 2.32.220.1 to 2.32.221.254 | 2.32.221.255 | 510 |
| 112 | 2.32.222.0/23 | 2.32.222.1 to 2.32.223.254 | 2.32.223.255 | 510 |
| 113 | 2.32.224.0/23 | 2.32.224.1 to 2.32.225.254 | 2.32.225.255 | 510 |
| 114 | 2.32.226.0/23 | 2.32.226.1 to 2.32.227.254 | 2.32.227.255 | 510 |
| 115 | 2.32.228.0/23 | 2.32.228.1 to 2.32.229.254 | 2.32.229.255 | 510 |
| 116 | 2.32.230.0/23 | 2.32.230.1 to 2.32.231.254 | 2.32.231.255 | 510 |
| 117 | 2.32.232.0/23 | 2.32.232.1 to 2.32.233.254 | 2.32.233.255 | 510 |
| 118 | 2.32.234.0/23 | 2.32.234.1 to 2.32.235.254 | 2.32.235.255 | 510 |
| 119 | 2.32.236.0/23 | 2.32.236.1 to 2.32.237.254 | 2.32.237.255 | 510 |
| 120 | 2.32.238.0/23 | 2.32.238.1 to 2.32.239.254 | 2.32.239.255 | 510 |
| 121 | 2.32.240.0/23 | 2.32.240.1 to 2.32.241.254 | 2.32.241.255 | 510 |
| 122 | 2.32.242.0/23 | 2.32.242.1 to 2.32.243.254 | 2.32.243.255 | 510 |
| 123 | 2.32.244.0/23 | 2.32.244.1 to 2.32.245.254 | 2.32.245.255 | 510 |
| 124 | 2.32.246.0/23 | 2.32.246.1 to 2.32.247.254 | 2.32.247.255 | 510 |
| 125 | 2.32.248.0/23 | 2.32.248.1 to 2.32.249.254 | 2.32.249.255 | 510 |
| 126 | 2.32.250.0/23 | 2.32.250.1 to 2.32.251.254 | 2.32.251.255 | 510 |
| 127 | 2.32.252.0/23 | 2.32.252.1 to 2.32.253.254 | 2.32.253.255 | 510 |
| 128 | 2.32.254.0/23 | 2.32.254.1 to 2.32.255.254 | 2.32.255.255 | 510 |
| 129 | 2.33.0.0/23 | 2.33.0.1 to 2.33.1.254 | 2.33.1.255 | 510 |
| 130 | 2.33.2.0/23 | 2.33.2.1 to 2.33.3.254 | 2.33.3.255 | 510 |
| 131 | 2.33.4.0/23 | 2.33.4.1 to 2.33.5.254 | 2.33.5.255 | 510 |
| 132 | 2.33.6.0/23 | 2.33.6.1 to 2.33.7.254 | 2.33.7.255 | 510 |
| 133 | 2.33.8.0/23 | 2.33.8.1 to 2.33.9.254 | 2.33.9.255 | 510 |
| 134 | 2.33.10.0/23 | 2.33.10.1 to 2.33.11.254 | 2.33.11.255 | 510 |
| 135 | 2.33.12.0/23 | 2.33.12.1 to 2.33.13.254 | 2.33.13.255 | 510 |
| 136 | 2.33.14.0/23 | 2.33.14.1 to 2.33.15.254 | 2.33.15.255 | 510 |
| 137 | 2.33.16.0/23 | 2.33.16.1 to 2.33.17.254 | 2.33.17.255 | 510 |
| 138 | 2.33.18.0/23 | 2.33.18.1 to 2.33.19.254 | 2.33.19.255 | 510 |
| 139 | 2.33.20.0/23 | 2.33.20.1 to 2.33.21.254 | 2.33.21.255 | 510 |
| 140 | 2.33.22.0/23 | 2.33.22.1 to 2.33.23.254 | 2.33.23.255 | 510 |
| 141 | 2.33.24.0/23 | 2.33.24.1 to 2.33.25.254 | 2.33.25.255 | 510 |
| 142 | 2.33.26.0/23 | 2.33.26.1 to 2.33.27.254 | 2.33.27.255 | 510 |
| 143 | 2.33.28.0/23 | 2.33.28.1 to 2.33.29.254 | 2.33.29.255 | 510 |
| 144 | 2.33.30.0/23 | 2.33.30.1 to 2.33.31.254 | 2.33.31.255 | 510 |
| 145 | 2.33.32.0/23 | 2.33.32.1 to 2.33.33.254 | 2.33.33.255 | 510 |
| 146 | 2.33.34.0/23 | 2.33.34.1 to 2.33.35.254 | 2.33.35.255 | 510 |
| 147 | 2.33.36.0/23 | 2.33.36.1 to 2.33.37.254 | 2.33.37.255 | 510 |
| 148 | 2.33.38.0/23 | 2.33.38.1 to 2.33.39.254 | 2.33.39.255 | 510 |
| 149 | 2.33.40.0/23 | 2.33.40.1 to 2.33.41.254 | 2.33.41.255 | 510 |
| 150 | 2.33.42.0/23 | 2.33.42.1 to 2.33.43.254 | 2.33.43.255 | 510 |
| 151 | 2.33.44.0/23 | 2.33.44.1 to 2.33.45.254 | 2.33.45.255 | 510 |
| 152 | 2.33.46.0/23 | 2.33.46.1 to 2.33.47.254 | 2.33.47.255 | 510 |
| 153 | 2.33.48.0/23 | 2.33.48.1 to 2.33.49.254 | 2.33.49.255 | 510 |
| 154 | 2.33.50.0/23 | 2.33.50.1 to 2.33.51.254 | 2.33.51.255 | 510 |
| 155 | 2.33.52.0/23 | 2.33.52.1 to 2.33.53.254 | 2.33.53.255 | 510 |
| 156 | 2.33.54.0/23 | 2.33.54.1 to 2.33.55.254 | 2.33.55.255 | 510 |
| 157 | 2.33.56.0/23 | 2.33.56.1 to 2.33.57.254 | 2.33.57.255 | 510 |
| 158 | 2.33.58.0/23 | 2.33.58.1 to 2.33.59.254 | 2.33.59.255 | 510 |
| 159 | 2.33.60.0/23 | 2.33.60.1 to 2.33.61.254 | 2.33.61.255 | 510 |
| 160 | 2.33.62.0/23 | 2.33.62.1 to 2.33.63.254 | 2.33.63.255 | 510 |
| 161 | 2.33.64.0/23 | 2.33.64.1 to 2.33.65.254 | 2.33.65.255 | 510 |
| 162 | 2.33.66.0/23 | 2.33.66.1 to 2.33.67.254 | 2.33.67.255 | 510 |
| 163 | 2.33.68.0/23 | 2.33.68.1 to 2.33.69.254 | 2.33.69.255 | 510 |
| 164 | 2.33.70.0/23 | 2.33.70.1 to 2.33.71.254 | 2.33.71.255 | 510 |
| 165 | 2.33.72.0/23 | 2.33.72.1 to 2.33.73.254 | 2.33.73.255 | 510 |
| 166 | 2.33.74.0/23 | 2.33.74.1 to 2.33.75.254 | 2.33.75.255 | 510 |
| 167 | 2.33.76.0/23 | 2.33.76.1 to 2.33.77.254 | 2.33.77.255 | 510 |
| 168 | 2.33.78.0/23 | 2.33.78.1 to 2.33.79.254 | 2.33.79.255 | 510 |
| 169 | 2.33.80.0/23 | 2.33.80.1 to 2.33.81.254 | 2.33.81.255 | 510 |
| 170 | 2.33.82.0/23 | 2.33.82.1 to 2.33.83.254 | 2.33.83.255 | 510 |
| 171 | 2.33.84.0/23 | 2.33.84.1 to 2.33.85.254 | 2.33.85.255 | 510 |
| 172 | 2.33.86.0/23 | 2.33.86.1 to 2.33.87.254 | 2.33.87.255 | 510 |
| 173 | 2.33.88.0/23 | 2.33.88.1 to 2.33.89.254 | 2.33.89.255 | 510 |
| 174 | 2.33.90.0/23 | 2.33.90.1 to 2.33.91.254 | 2.33.91.255 | 510 |
| 175 | 2.33.92.0/23 | 2.33.92.1 to 2.33.93.254 | 2.33.93.255 | 510 |
| 176 | 2.33.94.0/23 | 2.33.94.1 to 2.33.95.254 | 2.33.95.255 | 510 |
| 177 | 2.33.96.0/23 | 2.33.96.1 to 2.33.97.254 | 2.33.97.255 | 510 |
| 178 | 2.33.98.0/23 | 2.33.98.1 to 2.33.99.254 | 2.33.99.255 | 510 |
| 179 | 2.33.100.0/23 | 2.33.100.1 to 2.33.101.254 | 2.33.101.255 | 510 |
| 180 | 2.33.102.0/23 | 2.33.102.1 to 2.33.103.254 | 2.33.103.255 | 510 |
| 181 | 2.33.104.0/23 | 2.33.104.1 to 2.33.105.254 | 2.33.105.255 | 510 |
| 182 | 2.33.106.0/23 | 2.33.106.1 to 2.33.107.254 | 2.33.107.255 | 510 |
| 183 | 2.33.108.0/23 | 2.33.108.1 to 2.33.109.254 | 2.33.109.255 | 510 |
| 184 | 2.33.110.0/23 | 2.33.110.1 to 2.33.111.254 | 2.33.111.255 | 510 |
| 185 | 2.33.112.0/23 | 2.33.112.1 to 2.33.113.254 | 2.33.113.255 | 510 |
| 186 | 2.33.114.0/23 | 2.33.114.1 to 2.33.115.254 | 2.33.115.255 | 510 |
| 187 | 2.33.116.0/23 | 2.33.116.1 to 2.33.117.254 | 2.33.117.255 | 510 |
| 188 | 2.33.118.0/23 | 2.33.118.1 to 2.33.119.254 | 2.33.119.255 | 510 |
| 189 | 2.33.120.0/23 | 2.33.120.1 to 2.33.121.254 | 2.33.121.255 | 510 |
| 190 | 2.33.122.0/23 | 2.33.122.1 to 2.33.123.254 | 2.33.123.255 | 510 |
| 191 | 2.33.124.0/23 | 2.33.124.1 to 2.33.125.254 | 2.33.125.255 | 510 |
| 192 | 2.33.126.0/23 | 2.33.126.1 to 2.33.127.254 | 2.33.127.255 | 510 |
| 193 | 2.33.128.0/23 | 2.33.128.1 to 2.33.129.254 | 2.33.129.255 | 510 |
| 194 | 2.33.130.0/23 | 2.33.130.1 to 2.33.131.254 | 2.33.131.255 | 510 |
| 195 | 2.33.132.0/23 | 2.33.132.1 to 2.33.133.254 | 2.33.133.255 | 510 |
| 196 | 2.33.134.0/23 | 2.33.134.1 to 2.33.135.254 | 2.33.135.255 | 510 |
| 197 | 2.33.136.0/23 | 2.33.136.1 to 2.33.137.254 | 2.33.137.255 | 510 |
| 198 | 2.33.138.0/23 | 2.33.138.1 to 2.33.139.254 | 2.33.139.255 | 510 |
| 199 | 2.33.140.0/23 | 2.33.140.1 to 2.33.141.254 | 2.33.141.255 | 510 |
| 200 | 2.33.142.0/23 | 2.33.142.1 to 2.33.143.254 | 2.33.143.255 | 510 |
| 201 | 2.33.144.0/23 | 2.33.144.1 to 2.33.145.254 | 2.33.145.255 | 510 |
| 202 | 2.33.146.0/23 | 2.33.146.1 to 2.33.147.254 | 2.33.147.255 | 510 |
| 203 | 2.33.148.0/23 | 2.33.148.1 to 2.33.149.254 | 2.33.149.255 | 510 |
| 204 | 2.33.150.0/23 | 2.33.150.1 to 2.33.151.254 | 2.33.151.255 | 510 |
| 205 | 2.33.152.0/23 | 2.33.152.1 to 2.33.153.254 | 2.33.153.255 | 510 |
| 206 | 2.33.154.0/23 | 2.33.154.1 to 2.33.155.254 | 2.33.155.255 | 510 |
| 207 | 2.33.156.0/23 | 2.33.156.1 to 2.33.157.254 | 2.33.157.255 | 510 |
| 208 | 2.33.158.0/23 | 2.33.158.1 to 2.33.159.254 | 2.33.159.255 | 510 |
| 209 | 2.33.160.0/23 | 2.33.160.1 to 2.33.161.254 | 2.33.161.255 | 510 |
| 210 | 2.33.162.0/23 | 2.33.162.1 to 2.33.163.254 | 2.33.163.255 | 510 |
| 211 | 2.33.164.0/23 | 2.33.164.1 to 2.33.165.254 | 2.33.165.255 | 510 |
| 212 | 2.33.166.0/23 | 2.33.166.1 to 2.33.167.254 | 2.33.167.255 | 510 |
| 213 | 2.33.168.0/23 | 2.33.168.1 to 2.33.169.254 | 2.33.169.255 | 510 |
| 214 | 2.33.170.0/23 | 2.33.170.1 to 2.33.171.254 | 2.33.171.255 | 510 |
| 215 | 2.33.172.0/23 | 2.33.172.1 to 2.33.173.254 | 2.33.173.255 | 510 |
| 216 | 2.33.174.0/23 | 2.33.174.1 to 2.33.175.254 | 2.33.175.255 | 510 |
| 217 | 2.33.176.0/23 | 2.33.176.1 to 2.33.177.254 | 2.33.177.255 | 510 |
| 218 | 2.33.178.0/23 | 2.33.178.1 to 2.33.179.254 | 2.33.179.255 | 510 |
| 219 | 2.33.180.0/23 | 2.33.180.1 to 2.33.181.254 | 2.33.181.255 | 510 |
| 220 | 2.33.182.0/23 | 2.33.182.1 to 2.33.183.254 | 2.33.183.255 | 510 |
| 221 | 2.33.184.0/23 | 2.33.184.1 to 2.33.185.254 | 2.33.185.255 | 510 |
| 222 | 2.33.186.0/23 | 2.33.186.1 to 2.33.187.254 | 2.33.187.255 | 510 |
| 223 | 2.33.188.0/23 | 2.33.188.1 to 2.33.189.254 | 2.33.189.255 | 510 |
| 224 | 2.33.190.0/23 | 2.33.190.1 to 2.33.191.254 | 2.33.191.255 | 510 |
| 225 | 2.33.192.0/23 | 2.33.192.1 to 2.33.193.254 | 2.33.193.255 | 510 |
| 226 | 2.33.194.0/23 | 2.33.194.1 to 2.33.195.254 | 2.33.195.255 | 510 |
| 227 | 2.33.196.0/23 | 2.33.196.1 to 2.33.197.254 | 2.33.197.255 | 510 |
| 228 | 2.33.198.0/23 | 2.33.198.1 to 2.33.199.254 | 2.33.199.255 | 510 |
| 229 | 2.33.200.0/23 | 2.33.200.1 to 2.33.201.254 | 2.33.201.255 | 510 |
| 230 | 2.33.202.0/23 | 2.33.202.1 to 2.33.203.254 | 2.33.203.255 | 510 |
| 231 | 2.33.204.0/23 | 2.33.204.1 to 2.33.205.254 | 2.33.205.255 | 510 |
| 232 | 2.33.206.0/23 | 2.33.206.1 to 2.33.207.254 | 2.33.207.255 | 510 |
| 233 | 2.33.208.0/23 | 2.33.208.1 to 2.33.209.254 | 2.33.209.255 | 510 |
| 234 | 2.33.210.0/23 | 2.33.210.1 to 2.33.211.254 | 2.33.211.255 | 510 |
| 235 | 2.33.212.0/23 | 2.33.212.1 to 2.33.213.254 | 2.33.213.255 | 510 |
| 236 | 2.33.214.0/23 | 2.33.214.1 to 2.33.215.254 | 2.33.215.255 | 510 |
| 237 | 2.33.216.0/23 | 2.33.216.1 to 2.33.217.254 | 2.33.217.255 | 510 |
| 238 | 2.33.218.0/23 | 2.33.218.1 to 2.33.219.254 | 2.33.219.255 | 510 |
| 239 | 2.33.220.0/23 | 2.33.220.1 to 2.33.221.254 | 2.33.221.255 | 510 |
| 240 | 2.33.222.0/23 | 2.33.222.1 to 2.33.223.254 | 2.33.223.255 | 510 |
| 241 | 2.33.224.0/23 | 2.33.224.1 to 2.33.225.254 | 2.33.225.255 | 510 |
| 242 | 2.33.226.0/23 | 2.33.226.1 to 2.33.227.254 | 2.33.227.255 | 510 |
| 243 | 2.33.228.0/23 | 2.33.228.1 to 2.33.229.254 | 2.33.229.255 | 510 |
| 244 | 2.33.230.0/23 | 2.33.230.1 to 2.33.231.254 | 2.33.231.255 | 510 |
| 245 | 2.33.232.0/23 | 2.33.232.1 to 2.33.233.254 | 2.33.233.255 | 510 |
| 246 | 2.33.234.0/23 | 2.33.234.1 to 2.33.235.254 | 2.33.235.255 | 510 |
| 247 | 2.33.236.0/23 | 2.33.236.1 to 2.33.237.254 | 2.33.237.255 | 510 |
| 248 | 2.33.238.0/23 | 2.33.238.1 to 2.33.239.254 | 2.33.239.255 | 510 |
| 249 | 2.33.240.0/23 | 2.33.240.1 to 2.33.241.254 | 2.33.241.255 | 510 |
| 250 | 2.33.242.0/23 | 2.33.242.1 to 2.33.243.254 | 2.33.243.255 | 510 |
| 251 | 2.33.244.0/23 | 2.33.244.1 to 2.33.245.254 | 2.33.245.255 | 510 |
| 252 | 2.33.246.0/23 | 2.33.246.1 to 2.33.247.254 | 2.33.247.255 | 510 |
| 253 | 2.33.248.0/23 | 2.33.248.1 to 2.33.249.254 | 2.33.249.255 | 510 |
| 254 | 2.33.250.0/23 | 2.33.250.1 to 2.33.251.254 | 2.33.251.255 | 510 |
| 255 | 2.33.252.0/23 | 2.33.252.1 to 2.33.253.254 | 2.33.253.255 | 510 |
| 256 | 2.33.254.0/23 | 2.33.254.1 to 2.33.255.254 | 2.33.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |